.quantity {
	position: relative;
	width: 100%;
	max-width: 9rem;
	padding: 0;
	margin: 0;
	border: 0
}

.quantity legend {
	display: none
}

.quantity input {
	font-size: 18px;
	height: 3rem;
	padding: 0 3rem;
	min-width: 2em;
	border-radius: 3px;
	border: 0;
	background: #FFF;
	color: #222;
	box-shadow: 0 10px 65px -10px rgba(0, 0, 0, .15);
	text-align: center;
	width: 100%;
	box-sizing: border-box
}

.quantity input:focus {
	outline: 0;
	box-shadow: 0 5px 55px -10px rgba(0, 0, 0, .2), 0 0 4px #3FB0FF
}

.quantity input[type=number]::-webkit-inner-spin-button, .quantity input[type=number]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0
}

.quantity input[type=number] {
	-moz-appearance: textfield
}

.quantity button {
	position: absolute;
	width: 2.2rem;
	height: 2.2rem;
	top: .5rem;
	display: block;
	padding: 0;
	margin: 0;
	border: 0;
	background: transparent url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="100" height="50"><path d="M17 25h16M67 25h16M75 17v16" fill="none" stroke="rgb(59,69,66)" stroke-width="1.5px" stroke-linecap="round" stroke-linejoin="round" /></svg>') no-repeat 0 0;
	background-size: 4.3rem 2.2rem;
	overflow: hidden;
	white-space: nowrap;
	text-indent: 100%;
	border-radius: 1.4rem;
	cursor: pointer;
	transition: opacity .15s;
	opacity: .5
}

.quantity button:active {
	background-position-y: 1px;
	box-shadow: inset 0 2px 12px -4px #C5D1D9
}

.quantity button:focus {
	outline: 0
}

.quantity button:hover {
	opacity: 1
}

.quantity button.sub {
	left: .6rem
}

.quantity button.add {
	right: .6rem;
	background-position-x: -2.8rem
}

.wc-block-add-to-cart-form .cart .quantity .qty {
	width: inherit
}
